# Class McpToolset.McpToolsetConfig

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.tools.mcp.McpToolset.McpToolsetConfig

Enclosing class:
  `McpToolset`

public static class McpToolset.McpToolsetConfig extends JsonBaseModel
Configuration class for MCPToolset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `McpToolsetConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setSseServerParams(SseServerParameters sseServerParams)`
  `void`
  `setStdioConnectionParams(StdioConnectionParameters stdioConnectionParams)`
  `void`
  `setStdioServerParams(StdioServerParameters stdioServerParams)`
  `void`
  `setToolFilter(List<String> toolFilter)`
  `SseServerParameters`
  `sseServerParams()`
  `StdioConnectionParameters`
  `stdioConnectionParams()`
  `StdioServerParameters`
  `stdioServerParams()`
  `List<String>`
  `toolFilter()`

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### McpToolsetConfig

    public McpToolsetConfig()

- ## Method Details

  - ### stdioConnectionParams

    public StdioConnectionParameters stdioConnectionParams()

  - ### setStdioConnectionParams

    public void setStdioConnectionParams(StdioConnectionParameters stdioConnectionParams)

  - ### stdioServerParams

    public StdioServerParameters stdioServerParams()

  - ### setStdioServerParams

    public void setStdioServerParams(StdioServerParameters stdioServerParams)

  - ### sseServerParams

    public SseServerParameters sseServerParams()

  - ### setSseServerParams

    public void setSseServerParams(SseServerParameters sseServerParams)

  - ### toolFilter

    public List<String> toolFilter()

  - ### setToolFilter

    public void setToolFilter(List<String> toolFilter)